Index: /code/branches/presentation/data/levels/includes/weaponSettingsAssff.oxi
===================================================================
--- /code/branches/presentation/data/levels/includes/weaponSettingsAssff.oxi	(revision 8596)
+++ /code/branches/presentation/data/levels/includes/weaponSettingsAssff.oxi	(revision 8597)
@@ -30,6 +30,7 @@
         <Weapon>
           <attached>
-            <Model mesh="stunweapon.mesh" pitch="180" roll="0" yaw="0" position="1.9,-.5,1" scale=".5"/>
-	    <BlinkingBillboard position="1.9, -.5, -5.5" material="PE/lensflare" colour="0.128, 0.28, 1" amplitude=0.25 frequency=16 quadratic=0 />
+            <Model mesh="LightningGun.mesh" pitch="103" roll="90" yaw="90" position="0,-1.35,0" />
+            <Model mesh="LightningGun-s.mesh" pitch="103" roll="90" yaw="90" position="0.2,-1.35,0" />
+            <Model mesh="hs-w01_reduced.mesh" roll="90" pitch="-104" yaw="-90" position="0,1.3,0.3" scale=0.6 />
           </attached>
           <HsW01 mode=0 munitionpershot=0 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 1.6, 1.3, -2.0" />
Index: /code/branches/presentation/data/levels/templates/spaceshipAssff.oxt
===================================================================
--- /code/branches/presentation/data/levels/templates/spaceshipAssff.oxt	(revision 8596)
+++ /code/branches/presentation/data/levels/templates/spaceshipAssff.oxt	(revision 8597)
@@ -20,5 +20,8 @@
    primaryThrust     = 100
    auxilaryThrust    = 30
-   rotationThrust    = 25
+   rotationThrust    = 50
+
+   lift = 1;
+   stallSpeed = 220;
 
    boostPower            = 15
Index: /code/branches/presentation/data/levels/templates/spaceshipAssff2.oxt
===================================================================
--- /code/branches/presentation/data/levels/templates/spaceshipAssff2.oxt	(revision 8596)
+++ /code/branches/presentation/data/levels/templates/spaceshipAssff2.oxt	(revision 8597)
@@ -18,7 +18,10 @@
    reloadwaittime      = 0.5
 
-   primaryThrust     = 100;
-   auxilaryThrust    = 30;
-   rotationThrust    = 25;
+   primaryThrust     = 100
+   auxilaryThrust    = 30
+   rotationThrust    = 50
+
+   lift = 1;
+   stallSpeed = 220;
 
    boostPower            = 10
Index: /code/branches/presentation/src/orxonox/worldentities/MobileEntity.cc
===================================================================
--- /code/branches/presentation/src/orxonox/worldentities/MobileEntity.cc	(revision 8596)
+++ /code/branches/presentation/src/orxonox/worldentities/MobileEntity.cc	(revision 8597)
@@ -83,4 +83,6 @@
                 this->linearVelocity_.z += this->linearAcceleration_.z * dt;
                 this->node_->translate(this->linearVelocity_ * dt);
+
+    
 
                 // Angular part
Index: /code/branches/presentation/src/orxonox/worldentities/pawns/SpaceShip.cc
===================================================================
--- /code/branches/presentation/src/orxonox/worldentities/pawns/SpaceShip.cc	(revision 8596)
+++ /code/branches/presentation/src/orxonox/worldentities/pawns/SpaceShip.cc	(revision 8597)
@@ -36,4 +36,5 @@
 #include "core/XMLPort.h"
 #include "tools/Shader.h"
+#include "util/Debug.h" // TODO: Needed?
 #include "util/Math.h"
 
@@ -68,4 +69,7 @@
         this->boostCooldownDuration_ = 5.0;
         this->bBoostCooldown_ = false;
+
+        this->lift_ = 1.0f;                         // factor of the lift, standard is 1
+        this->stallSpeed_ = 220.0f;                 // max speed where lift is added
 
         this->bInvertYAxis_ = false;
@@ -116,4 +120,6 @@
 		XMLPortParamVariable(SpaceShip, "shakeFrequency", shakeFrequency_, xmlelement, mode);
         XMLPortParamVariable(SpaceShip, "shakeAmplitude", shakeAmplitude_, xmlelement, mode);
+		XMLPortParamVariable(SpaceShip, "lift", lift_, xmlelement, mode);
+        XMLPortParamVariable(SpaceShip, "stallSpeed", stallSpeed_, xmlelement, mode);
 
         XMLPortObject(SpaceShip, Engine, "engines", addEngine, getEngine, xmlelement, mode);
@@ -132,4 +138,6 @@
         registerVariable(this->shakeFrequency_, VariableDirection::ToClient);
         registerVariable(this->shakeAmplitude_, VariableDirection::ToClient);
+        registerVariable(this->lift_, VariableDirection::ToClient);
+        registerVariable(this->stallSpeed_, VariableDirection::ToClient);
     }
 
@@ -240,7 +248,10 @@
     void SpaceShip::rotatePitch(const Vector2& value)
     {
-        this->localAngularAcceleration_.setX(this->localAngularAcceleration_.x() + value.x);
+        this->localAngularAcceleration_.setX(this->localAngularAcceleration_.x() + value.x*0.8);
 
         Pawn::rotatePitch(value);
+
+		//This function call adds a lift to the ship when it is pitching to make it's movement more "realistic" and enhance the feeling.
+        if (abs(this-> getLocalVelocity().z) < stallSpeed_)  {this->moveUpDown(lift_ / 5 * value * sqrt(abs(this-> getLocalVelocity().z)));}
     }
 
Index: /code/branches/presentation/src/orxonox/worldentities/pawns/SpaceShip.h
===================================================================
--- /code/branches/presentation/src/orxonox/worldentities/pawns/SpaceShip.h	(revision 8596)
+++ /code/branches/presentation/src/orxonox/worldentities/pawns/SpaceShip.h	(revision 8597)
@@ -98,4 +98,6 @@
             float boostPowerRate_;
             float boostCooldownDuration_;
+            float lift_;
+            float stallSpeed_;
             Vector3 steering_;
             float primaryThrust_;
